cgGLGetParameterArray(3)

NAME
cgGLGetParameterArray - get the values from an array parameter

SYNOPSIS
  #include <Cg/cgGL.h>
  /* TYPE is float or double */
  void cgGLGetParameterArray{1234}{fd}( CGparameter param,
                                        long offset,
                                        long nelements,
                                        const TYPE * v );

PARAMETERS

param
    The array parameter from which the values will be retrieved.

offset
    An offset into the array parameter at which to start getting elements. A value of 0 will begin at the first element of the array.

nelements
    The number of elements to get. A value of 0 will default to the total number of elements in the array minus the value of offset.

v   Destination buffer into which the values will be written. The size of v must be nelements times the vector size indicated by the number in the function name.

RETURN VALUES
None.

DESCRIPTION
The cgGLGetParameterArray functions retrieve the values from a scalar or vector array parameter.

There are versions of each function that return either float or double values signified by f or d in the function name.

Either 1, 2, 3, or 4 values per array element is returned depending on which function is used.

EXAMPLES
to-be-written

ERRORS
CG_INVALID_PROFILE_ERROR is generated if param's profile is not a supported OpenGL profile.

CG_ARRAY_PARAM_ERROR is generated if param is not an array parameter.

CG_OUT_OF_ARRAY_BOUNDS_ERROR is generated if offset or nelements is outside the bounds of param.

CG_INVALID_PARAM_HANDLE_ERROR is generated if param is not a valid parameter.

HISTORY
The cgGLGetParameterArray functions were introduced in Cg 1.1.

SEE ALSO
cgGLGetParameter, cgGLSetParameter, cgGLSetParameterArray